using System;
using System.Collections.Generic;
using System.Text;

namespace PrivateDataCommon
{
    /// <summary>
    /// Initialization Vector
    /// </summary>
    public class IV
    {
        /// <summary>
        /// Contructs an IV from a byte array
        /// </summary>
        /// <param name="iv">Byte contents of the initialization vector</param>
        public IV(byte[] iv)
        {
            bytes = iv;
        }

        /// <summary>
        /// Byte contents of the initialization vector
        /// </summary>
        public byte[] Bytes
        {
            get
            {
                return bytes;
            }
        }

        private byte[] bytes;
    }
}
