using System;
using System.Collections.Generic;
using System.Text;

namespace PrivateDataCommon
{
    public class ProgressStartedArgs : EventArgs
    {
        public ProgressStartedArgs(ulong progressMax)
        {
            this.progressMax = progressMax;
        }

        public ulong ProgressMax
        {
            get
            {
                return progressMax;
            }
        }

        private ulong progressMax;
    }

    public class ProgressReportedArgs : EventArgs
    {
        public ProgressReportedArgs(ulong progress)
        {
            this.progress = progress;
        }

        public ulong Progress
        {
            get
            {
                return progress;
            }
        }

        private ulong progress;
    }
}
