using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

using PrivateDataCore;

namespace PrivateData
{
    public partial class OpenOrCreateDialog : Form
    {
        public OpenOrCreateDialog()
        {
            InitializeComponent();
        }

        private void openButton_Click(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Private Data file (*.pds)|*.PDS";

            if (openFileDialog.ShowDialog() == DialogResult.OK)
            {
                dataPath = openFileDialog.FileName;
                DialogResult = DialogResult.Yes;
            }
            else
            {
                dataPath = string.Empty;
                DialogResult = DialogResult.No;
            }

            Close();
        }

        public string DataPath
        {
            get
            {
                return dataPath;
            }
        }

        private string dataPath = string.Empty;
    }
}