using System;
using System.Collections.Generic;
using System.Text;

namespace TestPrivateData
{
    abstract class Test
    {
        public delegate void SetTestStatusDelegate(string status);

        public static Test[] Tests
        {
            get
            {
                return new Test[]
                {
                    new Tests.TestHMAC(),
                    new Tests.TestCrypto(),
                    new Tests.TestDataStorage()
                };
            }
        }

        public abstract string Name
        {
            get;
        }

        public abstract bool ExecuteTest(SetTestStatusDelegate setStatus);
    }
}
