using System;
using System.Collections.Generic;
using System.Text;

using PrivateDataCore;

namespace TestPrivateData.Tests
{
    class TestCrypto : Test
    {
        public override string Name
        {
            get
            {
                return "Crypto";
            }
        }

        public override bool ExecuteTest(Test.SetTestStatusDelegate setStatus)
        {
#if false
            const string password = "test password";
            byte[] salt = Crypto.GenerateSalt();
            byte[] testData = { 10, 9, 8, 7, 6, 5, 4, 3, 2, 1 };

            DataKey key
                = Crypto.KeyFromPassword(
                    password,
                    salt,
                    1500,
                    new SlowOperationController());

            // Verify that we get the same key from the same password and salt
            {
                DataKey testKey
                    = Crypto.KeyFromPassword(
                        password,
                        salt,
                        1500,
                        new SlowOperationController());

                if (!Utils.ByteArraysMatch(testKey.Bytes, key.Bytes))
                {
                    return false;
                }
            }

            Content originalContent = new Content(new MemoryStream(testData));
            EncryptedContent encryptedContent = Crypto.Encrypt(originalContent, key);
            Content decryptedContent = Crypto.Decrypt(encryptedContent, key);

            // Now read back the decrypted data (technically, encryption is still
            // pending as well, but never mind).
            Stream decryptedData = decryptedContent.DetachData();
            byte[] decryptedDataBytes = Utils.ReadStream(decryptedData);
            decryptedData.Close();

            return Utils.ByteArraysMatch(decryptedDataBytes, testData);
#endif
            return true;
        }
    }
}
