using System;
using System.Collections.Generic;
using System.Text;

namespace PrivateData
{
    interface IEditItemControl
    {
        /// <summary>
        /// Transfers the data entered by the user back into the item and
        /// determines whether the item needs to be saved back to the storage
        /// </summary>
        /// <returns>True if the item needs to be saved to the storage</returns>
        bool Save();
    }
}
