using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

using PrivateDataCore;
using PrivateDataCore.ItemTypes;

namespace PrivateData.ItemControls
{
    public partial class FileControl : UserControl, IEditItemControl
    {
        public FileControl()
        {
            InitializeComponent();
        }

        public FileControl(FileItem item)
        {
            this.item = item;

            InitializeComponent();

            fileNameLabel.Text = item.FileName;
        }

        private void tabControl_GotFocus(object sender, EventArgs e)
        {

        }

        public bool Save()
        {
            return item.IsImported;
        }

        private FileItem item;
    }
}
